<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="assets/js/search.json" data-base=".">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="globals.html">Globals</a>
				</li>
			</ul>
			<h1>Vivifly</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<div class="tsd-panel tsd-typography">
				<a href="#vivifly" id="vivifly" style="color: inherit; text-decoration: none;">
					<h1>Vivifly</h1>
				</a>
				<a href="#available-scripts-for-react" id="available-scripts-for-react" style="color: inherit; text-decoration: none;">
					<h2>Available Scripts for React</h2>
				</a>
				<p>After the first checkout, in the project directory, run:</p>
				<a href="#npm-install" id="npm-install" style="color: inherit; text-decoration: none;">
					<h3><code>npm install</code></h3>
				</a>
				<p>Downloads the required node packages.</p>
				<p>You can then run:</p>
				<a href="#npm-start" id="npm-start" style="color: inherit; text-decoration: none;">
					<h3><code>npm start</code></h3>
				</a>
				<p>Runs the app in the development mode.<br />
				Open <a href="http://localhost:3000">http://localhost:3000</a> to view it in the browser.</p>
				<p>The page will reload if you make edits.<br />
				You will also see any lint errors in the console.</p>
				<a href="#npm-run-build" id="npm-run-build" style="color: inherit; text-decoration: none;">
					<h3><code>npm run build</code></h3>
				</a>
				<p>Builds the app for production to the <code>build</code> folder.<br />
				It correctly bundles React in production mode and optimizes the build for the best performance.</p>
				<p>The build is minified and the filenames include the hashes.<br />
				Your app is ready to be deployed!</p>
				<p>See the section about <a href="https://facebook.github.io/create-react-app/docs/deployment">deployment</a> for more information.</p>
				<a href="#npm-run-doc" id="npm-run-doc" style="color: inherit; text-decoration: none;">
					<h3><code>npm run doc</code></h3>
				</a>
				<p>Builds the application&#39;s documentation to the <code>docs</code> folder.</p>
				<a href="#bridge-between-react-and-unity" id="bridge-between-react-and-unity" style="color: inherit; text-decoration: none;">
					<h2>Bridge Between React and Unity</h2>
				</a>
				<p>Follow the indications on the <a href="https://gitlab.com/usability-engineering-ar-mr-vr/vivian-ui/vivifly/-/wikis/Using-the-React-Unity-Bridge">wiki</a>.</p>
				<a href="#used-libraries" id="used-libraries" style="color: inherit; text-decoration: none;">
					<h2>Used Libraries</h2>
				</a>
				<ul>
					<li><a href="https://mdbootstrap.com/docs/react/">MDBootstrap React</a></li>
					<li><a href="https://www.npmjs.com/package/react-unity-webgl">React Unity</a></li>
					<li><a href="https://casesandberg.github.io/react-color/">React Color</a></li>
					<li><a href="https://github.com/react-dropzone/react-dropzone">react-dropzone</a></li>
					<li><a href="https://www.npmjs.com/package/react-tooltip">react-tooltip</a></li>
					<li><a href="https://typedoc.org/">Typedoc</a></li>
				</ul>
			</div>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/appprovider.html" class="tsd-kind-icon">App<wbr>Provider</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttoncameraswitch.html" class="tsd-kind-icon">Button<wbr>Camera<wbr>Switch</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttonexistingtransition.html" class="tsd-kind-icon">Button<wbr>Existing<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttonsettings.html" class="tsd-kind-icon">Button<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/chooseimageareasmodal.html" class="tsd-kind-icon">Choose<wbr>Image<wbr>Areas<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/contextutils.html" class="tsd-kind-icon">Context<wbr>Utils</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displayimageuploader.html" class="tsd-kind-icon">Display<wbr>Image<wbr>Uploader</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaysettings.html" class="tsd-kind-icon">Display<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaysettingsplaneselection.html" class="tsd-kind-icon">Display<wbr>Settings<wbr>Plane<wbr>Selection</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaystandardsettings.html" class="tsd-kind-icon">Display<wbr>Standard<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementcardhandler.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementcardstartscreen.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Start<wbr>Screen</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementtypepicker.html" class="tsd-kind-icon">Element<wbr>Type<wbr>Picker</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/firstsituationinformationbanner.html" class="tsd-kind-icon">First<wbr>Situation<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/informationbanner.html" class="tsd-kind-icon">Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/informationbannerhandler.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/informationbannerutils.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Utils</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/keylistener.html" class="tsd-kind-icon">Key<wbr>Listener</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightcolorpicker.html" class="tsd-kind-icon">Light<wbr>Color<wbr>Picker</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightemissionslider.html" class="tsd-kind-icon">Light<wbr>Emission<wbr>Slider</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightsettings.html" class="tsd-kind-icon">Light<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/loadingoverlay.html" class="tsd-kind-icon">Loading<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/modal.html" class="tsd-kind-icon">Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/modalhandler.html" class="tsd-kind-icon">Modal<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/modelexport.html" class="tsd-kind-icon">Model<wbr>Export</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/navbar.html" class="tsd-kind-icon">Navbar</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/newelementtypemodal.html" class="tsd-kind-icon">New<wbr>Element<wbr>Type<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/secondsituationinformationbanner.html" class="tsd-kind-icon">Second<wbr>Situation<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationinformationicons.html" class="tsd-kind-icon">Situation<wbr>Information<wbr>Icons</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationnamingmodal.html" class="tsd-kind-icon">Situation<wbr>Naming<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationoptions.html" class="tsd-kind-icon">Situation<wbr>Options</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationselect.html" class="tsd-kind-icon">Situation<wbr>Select</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslist.html" class="tsd-kind-icon">Situations<wbr>List</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslistdemomode.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Demo<wbr>Mode</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslistelement.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Element</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/startingoverlay.html" class="tsd-kind-icon">Starting<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step1.html" class="tsd-kind-icon">Step1</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step10.html" class="tsd-kind-icon">Step10</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step11.html" class="tsd-kind-icon">Step11</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step12.html" class="tsd-kind-icon">Step12</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step2.html" class="tsd-kind-icon">Step2</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step3.html" class="tsd-kind-icon">Step3</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step4.html" class="tsd-kind-icon">Step4</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step5.html" class="tsd-kind-icon">Step5</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step6.html" class="tsd-kind-icon">Step6</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step7.html" class="tsd-kind-icon">Step7</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step8.html" class="tsd-kind-icon">Step8</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step9.html" class="tsd-kind-icon">Step9</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangedestination.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Destination</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangeinformation.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Information</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangemodal.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangeoverview.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Overview</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangetimeout.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Timeout</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/touchareaexistingtransition.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Existing<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/touchareasettings.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/unityscreen.html" class="tsd-kind-icon">Unity<wbr>Screen</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/unitywrapper.html" class="tsd-kind-icon">Unity<wbr>Wrapper</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/viewcontainer.html" class="tsd-kind-icon">View<wbr>Container</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/viviflyhelper.html" class="tsd-kind-icon">Vivifly<wbr>Helper</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/welcomeinformationbanner.html" class="tsd-kind-icon">Welcome<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/actions.html" class="tsd-kind-icon">Actions</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/appcontext.html" class="tsd-kind-icon">App<wbr>Context</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/applicationstate.html" class="tsd-kind-icon">Application<wbr>State</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/color.html" class="tsd-kind-icon">Color</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/guard.html" class="tsd-kind-icon">Guard</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/istate.html" class="tsd-kind-icon">IState</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/interactionelement.html" class="tsd-kind-icon">Interaction<wbr>Element</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/state.html" class="tsd-kind-icon">State</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/transition.html" class="tsd-kind-icon">Transition</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/vector2.html" class="tsd-kind-icon">Vector2</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/vector3.html" class="tsd-kind-icon">Vector3</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/visualizationcondition.html" class="tsd-kind-icon">Visualization<wbr>Condition</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/visualizationelement.html" class="tsd-kind-icon">Visualization<wbr>Element</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/window.html" class="tsd-kind-icon">Window</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#direction" class="tsd-kind-icon">Direction</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#elementtype" class="tsd-kind-icon">Element<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#informationbannertype" class="tsd-kind-icon">Information<wbr>Banner<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#outlinecolor" class="tsd-kind-icon">Outline<wbr>Color</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#propstype" class="tsd-kind-icon">Props<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#statetype" class="tsd-kind-icon">State<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#visualizationtype" class="tsd-kind-icon">Visualization<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#onclickfunction" class="tsd-kind-icon">on<wbr>Click<wbr>Function</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#onprogressfunction" class="tsd-kind-icon">on<wbr>Progress<wbr>Function</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#propstype" class="tsd-kind-icon">props<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#statechangedfunction" class="tsd-kind-icon">state<wbr>Changed<wbr>Function</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_backwards" class="tsd-kind-icon">DIRECTION_<wbr>BACKWARDS</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_forwards" class="tsd-kind-icon">DIRECTION_<wbr>FORWARDS</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_left" class="tsd-kind-icon">DIRECTION_<wbr>LEFT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_right" class="tsd-kind-icon">DIRECTION_<wbr>RIGHT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_button" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>BUTTON</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_light" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>LIGHT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_screen" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>SCREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_touch_area" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>TOUCH_<wbr>AREA</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_start" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>START</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_time" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>TIME</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_visual" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>VISUAL</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_blue" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>BLUE</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_green" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>GREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_orange" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>ORANGE</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_red" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>RED</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#visualization_type_float" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>FLOAT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#visualization_type_screen" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>SCREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#window" class="tsd-kind-icon">window</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#app" class="tsd-kind-icon">App</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#buttonchoosetransition" class="tsd-kind-icon">Button<wbr>Choose<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#elementcardheader" class="tsd-kind-icon">Element<wbr>Card<wbr>Header</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#touchareachooseareas" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Areas</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#touchareachoosetransition" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#uploadmodeloverlay" class="tsd-kind-icon">Upload<wbr>Model<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-object-literal">
						<a href="globals.html#application_state_default" class="tsd-kind-icon">APPLICATION_<wbr>STATE_<wbr>DEFAULT</a>
					</li>
					<li class=" tsd-kind-object-literal">
						<a href="globals.html#style" class="tsd-kind-icon">style</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="assets/js/main.js"></script>
</body>
</html>